The BOOST_PP_ENUM_TRAILING_PARAMS macro generates a comma-separated list of parameters with a leading comma.

#### Usage

BOOST_PP_ENUM_TRAILING_PARAMS(count, param)

#### Arguments

count
  The number of parameters to generate. Valid values range from 0 to BOOST_PP_LIMIT_REPEAT.
param
  The text of the parameter. BOOST_PP_ENUM_TRAILING_PARAMS concatenates numbers ranging from 0 to count - 1 to generate parameters.

#### Remarks

This macro expands to the comma-separated sequence:
, param ## 0, param ## 1, ... param ## count - 1
To use the z parameter passed from other macros that use BOOST_PP_REPEAT, see BOOST_PP_ENUM_TRAILING_PARAMS_Z.

#### See Also

- BOOST_PP_ENUM_TRAILING_PARAMS_Z
- BOOST_PP_LIMIT_REPEAT

#### Requirements

Header: <boost/preprocessor/repetition/enum_trailing_params.hpp>

#### Sample Code

    #include <boost/preprocessor/repetition/enum_trailing_params.hpp>

    class X BOOST_PP_ENUM_TRAILING_PARAMS(2, class T)
       // expands to class X, class T0, class T1, class T2